org.apache.avro.mojo

## Class ProtocolMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.avro.mojo.AbstractAvroMojo
    - - org.apache.avro.mojo.ProtocolMojo

- All Implemented Interfaces:
    org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

      public class ProtocolMojo
      extends AbstractAvroMojo

  Generate Java classes and interfaces from Avro protocol files (.avpr)
  Is defined by the goal name:
    protocol
  Mojo is thread safe:
    true
  Is bound to the specified phase of the standard build lifecycle:
    generate-sources
  Requires the dependencies in this specified scope:
    runtime

- - ### Field Summary

    - ### Fields inherited from class org.apache.avro.mojo.AbstractAvroMojo

      `createOptionalGetters, createSetters, customConversions, customLogicalTypeFactories, enableDecimalLogicalType, excludes, gettersReturnOptional, imports, optionalGettersForNullableFieldsOnly, project, stringType, templateDirectory, testExcludes, velocityToolsClassesNames`

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolMojo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doCompile(String filename, File sourceDirectory, File outputDirectory)`
    `protected String[]` | `getIncludes()`
    `protected String[]` | `getTestIncludes()`

    - ### Methods inherited from class org.apache.avro.mojo.AbstractAvroMojo

      `createClassLoader, execute, getFieldVisibility, instantiateAdditionalVelocityTools`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProtocolMojo

          public ProtocolMojo()

  - ### Method Detail

    - #### doCompile

          protected void doCompile(String filename,
                                   File sourceDirectory,
                                   File outputDirectory)
                            throws IOException

      Specified by:
        `doCompile` in class `AbstractAvroMojo`
      Throws:
        `IOException`

    - #### getIncludes

          protected String[] getIncludes()

      Specified by:
        `getIncludes` in class `AbstractAvroMojo`

    - #### getTestIncludes

          protected String[] getTestIncludes()

      Specified by:
        `getTestIncludes` in class `AbstractAvroMojo`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.